# Flutter Colorize

<img src="https://raw.githubusercontent.com/JonathanMonga/flutter_colorize/master/images/header.jpg" align="center" alt="Header" height="500" width="100%"/>

Collection of 1000 + pre-loaded colors for Flutter.

[![Pub](https://img.shields.io/badge/pub-1.0.0%2B1-blue)](https://pub.dev/packages/flutter_colorize)
[![Build Status](https://travis-ci.org/JonathanMonga/flutter_colorize.svg?branch=master)](https://travis-ci.org/JonathanMonga/flutter_colorize)

### Show some :heart: and star the repo to support the project

[![GitHub stars](https://img.shields.io/github/stars/JonathanMonga/flutter_colorize?style=social&label=Star)](https://github.com/JonathanMonga/flutter_colorize) [![GitHub forks](https://img.shields.io/github/forks/JonathanMonga/flutter_colorize?style=social&label=Fork)](https://github.com/JonathanMonga/flutter_colorize/fork) [![GitHub watchers](https://img.shields.io/github/watchers/JonathanMonga/flutter_colorize?style=social&label=Watch)](https://github.com/JonathanMonga/flutter_colorize) [![GitHub followers](https://img.shields.io/github/followers/JonathanMonga.svg?style=social&label=Follow)](https://github.com/JonathanMonga)  
[![Twitter Follow](https://img.shields.io/twitter/follow/jonathan_monga.svg?style=social)](https://twitter.com/jonathan_monga)

## Installation

Add the Package

```yaml
dependencies:
  flutter_colorize: ^1.0.0+1
```

# Usage

### Import the package

```dart
import 'package:flutter_colorize/flutter_colorize.dart';
```
## Overview

<img src="https://raw.githubusercontent.com/JonathanMonga/flutter_colorize/master/images/image.png" align="center" alt="Header" height="500" width="100%"/>

## How To Use

Very easy to use this library, find the color and use it.

```dart
    Container(
        color : FlutterColorize.fcZomp,
    );
```

## Examples

Web and command-line examples can be found in the `example` folder.

### Web Examples

In order to run the web examples, please follow these steps:

1. Clone this repo and enter the directory
2. Run `pub get`
3. Run `pub run build_runner serve example`
4. Navigate to [http://localhost:8080/web/](http://localhost:8080/web/) in your browser

### Command Line Examples

In order to run the command line example, please follow these steps:

1. Clone this repo and enter the directory
2. Run `pub get`
3. Run `dart example/lib/main.dart`

### Flutter Example

#### Install Flutter

In order to run the flutter example, you must have Flutter installed. For installation instructions, view the online
[documentation](https://flutter.io/).

#### Run the app

1. Open up an Android Emulator, the iOS Simulator, or connect an appropriate mobile device for debugging.
2. Open up a terminal
3. `cd` into the `example/lib/` directory
4. Run `flutter doctor` to ensure you have all Flutter dependencies working.
5. Run `flutter packages get`
6. Run `flutter run`

## Thanks

- Image from : [Joe Theodore](https://unsplash.com/@joetheodore)

# License

    MIT License

    Copyright (c) 2020 Jonathan Monga

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in all
    copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.
